<template >
  <div id="app" @click="goToProductListFiltredByprincipalCategories">
    <v-row>
      <v-col cols="12" class="x1">
        <v-card>
          <v-card-title>{{categoryName.toUpperCase()}}</v-card-title>
          <v-row style="padding-left: 14%;" cols="5">
            <v-col v-for="product in productItem" :key="product" class="d-flex child-flex" cols="5">
              <v-card flat tile class="d-flex">
                <v-img :src="product.product_img" aspect-ratio="1" class="grey lighten-2">
                  <template v-slot:placeholder>
                    <v-row class="fill-height ma-0" align="center" justify="center">
                      <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
                    </v-row>
                  </template>
                </v-img>
              </v-card>
            </v-col>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "CategoriesCatalogue",
  components: {},
  props: {
    productItem: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      categoryName: this.productItem[0].product_category
    };
  },
  methods: {
    goToProductListFiltredByprincipalCategories() {
      let searchedCategory = this.productItem[0].product_category;
      this.$emit(
        "go-to-product-list-filtred-by-this-category",
        searchedCategory
      );
    }
  }
};
</script>

<style scoped>
</style>
